moHCMoveLoopExpl(3)

NAME
moHCMoveLoopExpl - Iterative explorer used by a moHC.

SYNOPSIS

#include <moHCMoveLoopExpl.h>

Inherits moMoveLoopExpl< M >< M >.

  Public Member Functions
moHCMoveLoopExpl (moMoveInit< M > &__move_init, moNextMove< M > &__next_move, moMoveIncrEval< M > &__incr_eval, moMoveSelect< M > &__move_select)
Constructor.
void operator() (const EOT &__old_sol, EOT &__new_sol)
Procedure which launches the explorer.

  Private Types
typedef M::EOType EOT
Alias for the type.
typedef M::EOType::Fitness Fitness
Alias for the fitness.

  Private Attributes
moMoveInit< M > & move_init
Move initialiser.
moNextMove< M > & next_move
Neighborhood explorer.
moMoveIncrEval< M > & incr_eval
(generally) Efficient evaluation.
moMoveSelect< M > & move_select
Move selector.

Detailed Description

  template<class M> class moHCMoveLoopExpl< M >
Iterative explorer used by a moHC.

Definition at line 23 of file moHCMoveLoopExpl.h.

Constructor & Destructor Documentation

  template<class M> moHCMoveLoopExpl< M >::moHCMoveLoopExpl (moMoveInit< M > & __move_init, moNextMove< M > & __next_move, moMoveIncrEval< M > & __incr_eval, moMoveSelect< M > & __move_select) [inline]

Constructor.

All the boxes have to be specified.

Parameters:
    __move_init the move initialiser.
    __next_move the neighborhood explorer.
    __incr_eval (generally) efficient evaluation function.
    __move_select the move selector.

Definition at line 43 of file moHCMoveLoopExpl.h.

Member Function Documentation

  template<class M> void moHCMoveLoopExpl< M >::operator() (const EOT & __old_sol, EOT & __new_sol) [inline]

Procedure which launches the explorer.

The exploration starts from an old solution and provides a new solution.

Parameters:
    __old_sol the current solution.
    __new_sol the new_sol (result of the procedure).

Definition at line 59 of file moHCMoveLoopExpl.h.

References moHCMoveLoopExpl< M >::incr_eval, moHCMoveLoopExpl< M >::move_init, moHCMoveLoopExpl< M >::move_select, and moHCMoveLoopExpl< M >::next_move.

Author

Generated automatically by Doxygen for PARADISEO-MO from the source code.